diff -Nru amavisd-new-2.11.0/debian/changelog amavisd-new-2.11.0/debian/changelog
--- amavisd-new-2.11.0/debian/changelog	2019-02-13 07:48:10.000000000 +0100
+++ amavisd-new-2.11.0/debian/changelog	2019-04-05 17:57:54.000000000 +0200
@@ -1,3 +1,11 @@
+amavisd-new (1:2.11.0-6.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix to honor "originating" configuration flag, by cherry-picking upstream
+    patch. (Closes: #882324)
+
+ -- Tobias Frost <tobi@debian.org>  Fri, 05 Apr 2019 17:57:54 +0200
+
 amavisd-new (1:2.11.0-6) unstable; urgency=medium
 
   * Fix start-stop-daemon insecure error. Closes: #921016.
diff -Nru amavisd-new-2.11.0/debian/patches/0010-fix-882324.patch amavisd-new-2.11.0/debian/patches/0010-fix-882324.patch
--- amavisd-new-2.11.0/debian/patches/0010-fix-882324.patch	1970-01-01 01:00:00.000000000 +0100
+++ amavisd-new-2.11.0/debian/patches/0010-fix-882324.patch	2019-04-05 17:56:43.000000000 +0200
@@ -0,0 +1,26 @@
+Description: honor "originating" configuration flag, 
+Origin: https://gitlab.com/amavis/amavis/commit/206109d4c21f28dcd2ba3f42a19b7d77e2bbc100.patch
+Date: Wed, 10 Oct 2018 16:34:58 +0200
+Subject: [PATCH] Applied DKIM signing patch (#6)
+Applied-Upstream: Yes
+Last-Update: 2019-04-05
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/amavisd
++++ b/amavisd
+@@ -22829,6 +22829,7 @@
+         }
+         # load policy banks from the 'client_ipaddr_policy' lookup
+         Amavis::load_policy_bank($_,$msginfo) for @bank_names_cl;
++        $msginfo->originating(c('originating'));
+ 
+         $msginfo->client_addr($cl_ip);      # ADDR
+         $msginfo->client_port($cl_port);    # PORT
+@@ -34361,6 +34362,7 @@
+     $sig_ind++;
+   }
+   Amavis::load_policy_bank($_,$msginfo) for @bank_names;
++  $msginfo->originating(c('originating'));
+   $msginfo->dkim_signatures_valid(\@signatures_valid)  if @signatures_valid;
+ # if (ll(5) && $sig_ind > 0) {
+ #   # show which header fields are covered by which signature
diff -Nru amavisd-new-2.11.0/debian/patches/series amavisd-new-2.11.0/debian/patches/series
--- amavisd-new-2.11.0/debian/patches/series	2019-02-03 09:55:48.000000000 +0100
+++ amavisd-new-2.11.0/debian/patches/series	2019-04-05 17:54:53.000000000 +0200
@@ -7,3 +7,4 @@
 90_fix_snmp_subagent_warning
 95_amavisd_helpers_fixes
 0009-Fix-an-unescaped-brace-in-amavisd.patch
+0010-fix-882324.patch
